<?php namespace Webien\AI\Elementor;

class Elementor
{
    public function init()
    {
        // Elementor widgets & extensions
        if (!defined('WP_INSTALLING') && did_action('elementor/loaded')) {
            $this->register_scripts();
            $this->register_widgets();
        }
    }

    function register_scripts()
    {


    }


    function register_widgets()
    {
        \Elementor\Plugin::instance()
            ->widgets_manager
            ->register(new \Webien\AI\Elementor\Widgets\Prompt\Widget());


    }



}
